Package Base Details: dolphin-emu-git

Git Clone URL: https://aur.archlinux.org/dolphin-emu-git.git (read-only, click to copy)
Keywords: dolphin emu emulator game gamecube gui nintendo remote revolution triforce wii wiimote
Submitter: None
Maintainer: dpeukert
Last Packager: dpeukert
Votes: 107
Popularity: 0.30
First Submitted: 2011-08-20 13:05
Last Updated: 2021-01-10 20:26

Pinned Comments

dpeukert commented on 2020-04-10 12:34

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/dolphin-emu-git

Latest Comments

« First ‹ Previous ... 10 11 12 13 14 15 16 17 18 19 20 ... Next › Last »

BrianAllred commented on 2015-04-02 02:55

alucryd: They told me to tell the Arch guys to stop adding PIE to everything. So... yeah...

alucryd commented on 2015-03-30 12:28

BrianAllred: Please report that upstream then, I will not give PIE up if only a few systems have problems with it.

BrianAllred commented on 2015-03-27 21:21

Need to add '-fno-pie' to the CXX_FLAGS, or launching games will fail on some systems with a WriteRest error.

bluerider commented on 2015-03-16 02:41

The PKGBUILD fails because the patch has already been applied. I commented out the patch line in prepare() and it compiles fine.

mac1202 commented on 2015-03-15 16:24

The patch has been applied upstream.

alucryd commented on 2015-03-13 11:59

Patched, however I ran into some (unrelated) invalid conversions on the way, had to add -fmpermissive to the build flags.

alucryd commented on 2015-03-13 11:32

Same here. Dolphin has always been relying on the FindOpenGL module from CMake to find the X11 libraries, however this module no longer looks for them as of CMake 3.2 so Dolphin has to do it itself from now on. I will produce a patch when I have some time.

agapito commented on 2015-03-12 13:33

Trying to compile using llvm 3.6 and mesa 10.5 from staging repo.


OpenAL found, enabling OpenAL sound backend
-- Found LLVM 3.6.0
X11 support disabled
CMake Error at CMakeLists.txt:458 (message):


No suitable display platform found

Requires x11 to run


-- Configuring incomplete, errors occurred!

Omar007 commented on 2015-03-07 18:20

Oh I should've added this to my msg as well; an FYI for those that don't know. You can run dolphin-emu with the -U flag, to move the user folder it uses.
(for example: 'dolphin-emu -U ~/.local/share/dolphin-emu')

Omar007 commented on 2015-03-07 18:07

Is it just me or does this dolphin version throw all the dolphin folders straight into ~/* as opposed to something like either ~/.dolphin/* or ~/.local/share/dolphin/* when you run it?